/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { mount } from 'enzyme';
import StatefulMenu from '../stateful-menu.js';
import StatefulContainer from '../stateful-container.js';
import Menu from '../menu.js';
describe('Menu StatefulMenu', function () {
  test('renders with props', function () {
    var props = {
      items: [{
        label: 'item1'
      }, {
        label: 'item2'
      }],
      getItemLabel: function getItemLabel(item) {
        return item.label;
      }
    };
    var component = mount(React.createElement(StatefulMenu, props));
    expect(component.find(StatefulContainer).length).toBe(1);
    expect(component.find(Menu).length).toBe(1);
  });
});